> ## Name

> tex2Dcmpbias - performs a texture lookup with bias and shadow compare in a given sampler.

> ## Synopsis

>     float4 tex2Dcmpbias(sampler2D samp, float4 s)
>     float4 tex2Dcmpbias(sampler2D samp, float4 s, int2 texelOff)

> ## Parameters

> samp
>   Sampler to lookup.
> s.xy
>   Coordinates to perform the lookup.
> s.z
>   The value used in the shadow comparison.
> s.w
>   The bias value.
> texelOff
>   Offset to be added to obtain the final texel.

> ## Description

> Performs a texture lookup with shadow compare and bias in sampler samp using coordinates s.

> ## Profile Support

> tex2Dcmpbias is supported in fragment profiles starting with fp40 and in vertex profiles starting with vp40. Variants with texelOff are only supported in gp4 and newer profiles.

> ## See Also

> tex2Dcmplod, tex2Dbias